nRF51 SDK: ble_hrs_s Struct Reference

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_hrs_s Struct Reference
Heart Rate Service

Heart Rate Service structure. This contains various status information for the service. More...

`#include <ble_hrs.h>`

## Data Fields

ble_hrs_evt_handler_t | evt_handler
bool | is_expended_energy_supported
bool | is_sensor_contact_supported
uint16_t | service_handle
ble_gatts_char_handles_t | hrm_handles
ble_gatts_char_handles_t | bsl_handles
ble_gatts_char_handles_t | hrcp_handles
uint16_t | conn_handle
bool | is_sensor_contact_detected
uint16_t | rr_interval [20]
uint16_t | rr_interval_count

## Detailed Description

Heart Rate Service structure. This contains various status information for the service.

## Field Documentation

ble_gatts_char_handles_t ble_hrs_s::bsl_handles

Handles related to the Body Sensor Location characteristic.

uint16_t ble_hrs_s::conn_handle

Handle of the current connection (as provided by the BLE stack, is BLE_CONN_HANDLE_INVALID if not in a connection).

ble_hrs_evt_handler_t ble_hrs_s::evt_handler

Event handler to be called for handling events in the Heart Rate Service.

ble_gatts_char_handles_t ble_hrs_s::hrcp_handles

Handles related to the Heart Rate Control Point characteristic.

ble_gatts_char_handles_t ble_hrs_s::hrm_handles

Handles related to the Heart Rate Measurement characteristic.

bool ble_hrs_s::is_expended_energy_supported

TRUE if Expended Energy measurement is supported.

bool ble_hrs_s::is_sensor_contact_detected

TRUE if sensor contact has been detected.

bool ble_hrs_s::is_sensor_contact_supported

TRUE if sensor contact detection is supported.

uint16_t ble_hrs_s::rr_interval[20]

Set of RR Interval measurements since the last Heart Rate Measurement transmission.

uint16_t ble_hrs_s::rr_interval_count

Number of RR Interval measurements since the last Heart Rate Measurement transmission.

uint16_t ble_hrs_s::service_handle

Handle of Heart Rate Service (as provided by the BLE stack).